> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.0x.org/llms.txt.
> For full documentation content, see https://docs.0x.org/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.0x.org/_mcp/server.

# getStatus

GET https://api.0x.org/cross-chain/status

Get the status of a cross chain transaction

Reference: https://docs.0x.org/api-reference/cross-chain-ap-is/cross-chain/cross-chain-get-status

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: cross-chain
  version: 1.0.0
paths:
  /cross-chain/status:
    get:
      operationId: cross-chain-get-status
      summary: getStatus
      description: Get the status of a cross chain transaction
      tags:
        - subpackage_crossChain
      parameters:
        - name: originChain
          in: query
          description: The origin chain where the cross-chain transaction was initiated
          required: true
          schema:
            type: string
        - name: originTxHash
          in: query
          description: >-
            The transaction hash on the origin chain to track. Format varies by
            chain type (32-byte hex for EVM/HyperCore, base58 signature for
            Solana, 64-char hex for Tron)
          required: true
          schema:
            type: string
        - name: quoteId
          in: query
          description: The quote ID associated with the cross-chain transaction
          required: false
          schema:
            type: string
        - name: 0x-api-key
          in: header
          description: Visit dashboard.0x.org to get your API Key
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Cross-Chain_crossChain::getStatus_Response_200
        '400':
          description: 400 error response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CrossChain::getStatusRequestBadRequestError
        '404':
          description: 404 error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrossChain::getStatusRequestNotFoundError'
        '500':
          description: 500 error response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CrossChain::getStatusRequestInternalServerError
servers:
  - url: https://api.0x.org
components:
  schemas:
    CrossChainStatusGetResponsesContentApplicationJsonSchemaStatus:
      type: string
      enum:
        - origin_tx_pending
        - origin_tx_succeeded
        - origin_tx_confirmed
        - origin_tx_reverted
        - bridge_pending
        - bridge_filled
        - bridge_failed
        - unknown
      description: The current status of the cross-chain transaction
      title: CrossChainStatusGetResponsesContentApplicationJsonSchemaStatus
    CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf0TransactionsItems:
      type: object
      properties:
        chainId:
          type: number
          format: double
          description: The chain ID where this transaction occurred
        chain:
          type: string
          description: The name of the chain where this transaction occurred
        txHash:
          type:
            - string
            - 'null'
          description: The transaction hash on this specific chain
        timestamp:
          type: integer
          description: Unix timestamp when this transaction was confirmed on-chain
      required:
        - chainId
        - chain
        - txHash
        - timestamp
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf0TransactionsItems
    CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf0Type:
      type: string
      enum:
        - wrap
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf0Type
    CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItems0:
      type: object
      properties:
        chainId:
          type: number
          format: double
          description: The chain ID where this step will be executed
        sellToken:
          type: string
          description: The input token address for this step
        buyToken:
          type: string
          description: The output token address for this step
        amount:
          type: string
          format: int64
          description: The amount of tokens for this step in token base units
        transactions:
          type: array
          items:
            $ref: >-
              #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf0TransactionsItems
          description: The transactions involved in this step
        type:
          $ref: >-
            #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf0Type
      required:
        - chainId
        - sellToken
        - buyToken
        - amount
        - transactions
        - type
      title: CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItems0
    CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf1TransactionsItems:
      type: object
      properties:
        chainId:
          type: number
          format: double
          description: The chain ID where this transaction occurred
        chain:
          type: string
          description: The name of the chain where this transaction occurred
        txHash:
          type:
            - string
            - 'null'
          description: The transaction hash on this specific chain
        timestamp:
          type: integer
          description: Unix timestamp when this transaction was confirmed on-chain
      required:
        - chainId
        - chain
        - txHash
        - timestamp
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf1TransactionsItems
    CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf1Type:
      type: string
      enum:
        - unwrap
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf1Type
    CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItems1:
      type: object
      properties:
        chainId:
          type: number
          format: double
          description: The chain ID where this step will be executed
        sellToken:
          type: string
          description: The input token address for this step
        buyToken:
          type: string
          description: The output token address for this step
        amount:
          type: string
          format: int64
          description: The amount of tokens for this step in token base units
        transactions:
          type: array
          items:
            $ref: >-
              #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf1TransactionsItems
          description: The transactions involved in this step
        type:
          $ref: >-
            #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf1Type
      required:
        - chainId
        - sellToken
        - buyToken
        - amount
        - transactions
        - type
      title: CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItems1
    CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf2TransactionsItems:
      type: object
      properties:
        chainId:
          type: number
          format: double
          description: The chain ID where this transaction occurred
        chain:
          type: string
          description: The name of the chain where this transaction occurred
        txHash:
          type:
            - string
            - 'null'
          description: The transaction hash on this specific chain
        timestamp:
          type: integer
          description: Unix timestamp when this transaction was confirmed on-chain
      required:
        - chainId
        - chain
        - txHash
        - timestamp
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf2TransactionsItems
    CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf2Type:
      type: string
      enum:
        - swap
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf2Type
    CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItems2:
      type: object
      properties:
        chainId:
          type: number
          format: double
          description: The chain ID where this swap will be executed
        sellToken:
          type: string
          description: The input token address for this swap
        buyToken:
          type: string
          description: The output token address for this swap
        sellAmount:
          type: string
          format: int64
          description: The input amount for this swap in token base units
        minBuyAmount:
          type: string
          format: int64
          description: The minimum output amount for this swap in token base units
        quotedBuyAmount:
          type: string
          format: int64
          description: The quoted output amount for this swap in token base units
        estimatedTimeSeconds:
          type:
            - integer
            - 'null'
          description: Estimated time for this swap step to complete
        transactions:
          type: array
          items:
            $ref: >-
              #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf2TransactionsItems
          description: The transactions involved in this step
        type:
          $ref: >-
            #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf2Type
      required:
        - chainId
        - sellToken
        - buyToken
        - sellAmount
        - minBuyAmount
        - quotedBuyAmount
        - estimatedTimeSeconds
        - transactions
        - type
      title: CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItems2
    CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf3SellToken:
      oneOf:
        - type: string
        - type: string
        - type: string
        - type: string
      description: The input token address for this bridge
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf3SellToken
    CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf3BuyToken:
      oneOf:
        - type: string
        - type: string
        - type: string
        - type: string
      description: The output token address for this bridge
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf3BuyToken
    CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf3SettledBuyAmount:
      type: object
      properties: {}
      description: The settled output amount for this bridge in token base units
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf3SettledBuyAmount
    CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf3TransactionsItems:
      type: object
      properties:
        chainId:
          type: number
          format: double
          description: The chain ID where this transaction occurred
        chain:
          type: string
          description: The name of the chain where this transaction occurred
        txHash:
          type:
            - string
            - 'null'
          description: The transaction hash on this specific chain
        timestamp:
          type: integer
          description: Unix timestamp when this transaction was confirmed on-chain
      required:
        - chainId
        - chain
        - txHash
        - timestamp
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf3TransactionsItems
    CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf3Type:
      type: string
      enum:
        - bridge
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf3Type
    CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItems3:
      type: object
      properties:
        bridge:
          type: string
          description: The bridge provider
        originChainId:
          type: number
          format: double
          description: The origin chain ID
        destinationChainId:
          type: number
          format: double
          description: The destination chain ID
        sellToken:
          $ref: >-
            #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf3SellToken
          description: The input token address for this bridge
        buyToken:
          $ref: >-
            #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf3BuyToken
          description: The output token address for this bridge
        sellAmount:
          type: string
          format: int64
          description: The input amount for this bridge in token base units
        minBuyAmount:
          type: string
          format: int64
          description: The minimum output amount for this bridge in token base units
        quotedBuyAmount:
          type: string
          format: int64
          description: The quoted output amount for this bridge in token base units
        settledBuyAmount:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf3SettledBuyAmount
            - type: 'null'
          description: The settled output amount for this bridge in token base units
        estimatedTimeSeconds:
          type:
            - integer
            - 'null'
          description: Estimated time for this bridge step to complete
        transactions:
          type: array
          items:
            $ref: >-
              #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf3TransactionsItems
          description: The transactions involved in this step
        type:
          $ref: >-
            #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItemsOneOf3Type
      required:
        - bridge
        - originChainId
        - destinationChainId
        - sellToken
        - buyToken
        - sellAmount
        - minBuyAmount
        - quotedBuyAmount
        - settledBuyAmount
        - estimatedTimeSeconds
        - transactions
        - type
      title: CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItems3
    CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItems:
      oneOf:
        - $ref: >-
            #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItems0
        - $ref: >-
            #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItems1
        - $ref: >-
            #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItems2
        - $ref: >-
            #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItems3
      title: CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItems
    CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureStatus:
      type: string
      enum:
        - refund_pending
        - refund_succeeded
        - manual_action_required
        - no_actions_required
        - failed
      description: The status of the failure
      title: CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureStatus
    CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureTransactionsItems:
      type: object
      properties:
        chainId:
          type: number
          format: double
          description: The chain ID where this transaction occurred
        chain:
          type: string
          description: The name of the chain where this transaction occurred
        txHash:
          type:
            - string
            - 'null'
          description: The transaction hash on this specific chain
        timestamp:
          type: integer
          description: Unix timestamp when this transaction was confirmed on-chain
      required:
        - chainId
        - chain
        - txHash
        - timestamp
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureTransactionsItems
    CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryToken:
      oneOf:
        - type: string
        - type: string
        - type: string
        - type: string
      description: The token address of the funds to be recovered
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryToken
    CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransactionOneOf0ChainType:
      type: string
      enum:
        - evm
      description: The blockchain type for Ethereum-compatible chains
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransactionOneOf0ChainType
    CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransactionOneOf0DetailsGas:
      type: object
      properties: {}
      description: The estimated gas limit required for successful transaction execution
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransactionOneOf0DetailsGas
    CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransactionOneOf0DetailsGasPrice:
      type: object
      properties: {}
      description: The gas price in wei for the EVM transaction
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransactionOneOf0DetailsGasPrice
    CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransactionOneOf0Details:
      type: object
      properties:
        to:
          type: string
          description: The contract address to send the transaction to on the EVM chain
        data:
          type: string
          description: The calldata containing execution details for the EVM transaction
        gas:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransactionOneOf0DetailsGas
            - type: 'null'
          description: >-
            The estimated gas limit required for successful transaction
            execution
        gasPrice:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransactionOneOf0DetailsGasPrice
            - type: 'null'
          description: The gas price in wei for the EVM transaction
        value:
          type: string
          format: int64
          description: The amount of native currency in wei to send with the transaction
      required:
        - to
        - data
        - gas
        - gasPrice
        - value
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransactionOneOf0Details
    CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransaction0:
      type: object
      properties:
        chainType:
          $ref: >-
            #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransactionOneOf0ChainType
          description: The blockchain type for Ethereum-compatible chains
        details:
          $ref: >-
            #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransactionOneOf0Details
      required:
        - chainType
        - details
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransaction0
    CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransactionOneOf1ChainType:
      type: string
      enum:
        - svm
      description: The blockchain type for Solana Virtual Machine
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransactionOneOf1ChainType
    CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransactionOneOf1Details:
      type: object
      properties:
        serializedTransaction:
          type: string
          description: The base64-encoded serialized Solana transaction
      required:
        - serializedTransaction
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransactionOneOf1Details
    CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransaction1:
      type: object
      properties:
        chainType:
          $ref: >-
            #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransactionOneOf1ChainType
          description: The blockchain type for Solana Virtual Machine
        details:
          $ref: >-
            #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransactionOneOf1Details
      required:
        - chainType
        - details
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransaction1
    CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransactionOneOf2ChainType:
      type: string
      enum:
        - tvm
      description: The blockchain type for Tron Virtual Machine
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransactionOneOf2ChainType
    CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransactionOneOf2Details:
      type: object
      properties:
        to:
          type: string
          description: The Tron contract address to interact with
        data:
          type: string
          description: The calldata for the Tron smart contract call
        value:
          type: string
          format: int64
          description: The amount of TRX in sun to send with the transaction
        ownerAddress:
          type: string
          description: The Tron address of the transaction sender
        memo:
          type: string
          description: Optional memo attached to the Tron transaction
      required:
        - to
        - data
        - value
        - ownerAddress
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransactionOneOf2Details
    CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransaction2:
      type: object
      properties:
        chainType:
          $ref: >-
            #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransactionOneOf2ChainType
          description: The blockchain type for Tron Virtual Machine
        details:
          $ref: >-
            #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransactionOneOf2Details
      required:
        - chainType
        - details
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransaction2
    CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransaction:
      oneOf:
        - $ref: >-
            #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransaction0
        - $ref: >-
            #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransaction1
        - $ref: >-
            #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransaction2
      description: >-
        The manual transaction for submission, if applicable. This transaction
        may be submitted by anyone to initiate the recovery process
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransaction
    CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoverySettledAmount:
      type: object
      properties: {}
      description: The actual settled refund amount in token base units
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoverySettledAmount
    CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecovery:
      type: object
      properties:
        chainId:
          type: number
          format: double
          description: The chain ID where this recovery step will be executed
        token:
          $ref: >-
            #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryToken
          description: The token address of the funds to be recovered
        amount:
          type: string
          format: int64
          description: The amount of tokens to be recovered in token base units
        estimatedTimeSeconds:
          type:
            - integer
            - 'null'
          description: >-
            Estimated time for this recovery step to finish, measured from when
            the recovery process begins
        deadline:
          type:
            - integer
            - 'null'
          description: >-
            The deadline timestamp of which the funds are available for
            recovery, if applicable. Not initiating the recovery process within
            this deadline may result in funds being forever lost
        manualTransaction:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoveryManualTransaction
            - type: 'null'
          description: >-
            The manual transaction for submission, if applicable. This
            transaction may be submitted by anyone to initiate the recovery
            process
        settledAmount:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecoverySettledAmount
            - type: 'null'
          description: The actual settled refund amount in token base units
      required:
        - chainId
        - token
        - amount
        - estimatedTimeSeconds
        - deadline
        - manualTransaction
        - settledAmount
      description: The recovery step for the failure
      title: CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecovery
    CrossChainStatusGetResponsesContentApplicationJsonSchemaFailure:
      type: object
      properties:
        reason:
          type: string
          description: The reason for the failure
        status:
          $ref: >-
            #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureStatus
          description: The status of the failure
        transactions:
          type: array
          items:
            $ref: >-
              #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureTransactionsItems
          description: The transactions involved in the failure
        recovery:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaFailureRecovery
            - type: 'null'
          description: The recovery step for the failure
      required:
        - reason
        - status
        - transactions
        - recovery
      description: The failure context for the cross-chain transaction
      title: CrossChainStatusGetResponsesContentApplicationJsonSchemaFailure
    CrossChainStatusGetResponsesContentApplicationJsonSchemaTransactionsItems:
      type: object
      properties:
        chainId:
          type: number
          format: double
          description: The chain ID where this transaction occurred
        chain:
          type: string
          description: The name of the chain where this transaction occurred
        txHash:
          type:
            - string
            - 'null'
          description: The transaction hash on this specific chain
        timestamp:
          type: integer
          description: Unix timestamp when this transaction was confirmed on-chain
      required:
        - chainId
        - chain
        - txHash
        - timestamp
      title: >-
        CrossChainStatusGetResponsesContentApplicationJsonSchemaTransactionsItems
    Cross-Chain_crossChain::getStatus_Response_200:
      type: object
      properties:
        status:
          $ref: >-
            #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaStatus
          description: The current status of the cross-chain transaction
        bridge:
          type: string
          description: The bridge provider handling the cross-chain transfer
        steps:
          type: array
          items:
            $ref: >-
              #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaStepsItems
          description: The steps involved in the cross-chain transaction
        failure:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaFailure
            - type: 'null'
          description: The failure context for the cross-chain transaction
        transactions:
          type: array
          items:
            $ref: >-
              #/components/schemas/CrossChainStatusGetResponsesContentApplicationJsonSchemaTransactionsItems
          description: >-
            List of all blockchain transactions involved in this cross-chain
            swap, across multiple chains
        zid:
          type: string
          description: The unique ZeroEx identifier of the request
      required:
        - status
        - steps
        - failure
        - transactions
        - zid
      title: Cross-Chain_crossChain::getStatus_Response_200
    InputInvalidName:
      type: string
      enum:
        - INPUT_INVALID
      title: InputInvalidName
    InputInvalidDataDetailsItems:
      type: object
      properties:
        field:
          type: string
          description: The input field name
        reason:
          type: string
          description: The validation failure reason
      required:
        - field
        - reason
      title: InputInvalidDataDetailsItems
    InputInvalidData:
      type: object
      properties:
        zid:
          type: string
          description: The unique ZeroEx identifier of the request
        details:
          type: array
          items:
            $ref: '#/components/schemas/InputInvalidDataDetailsItems'
          description: The list of invalid inputs
      required:
        - zid
        - details
      title: InputInvalidData
    INPUT_INVALID:
      type: object
      properties:
        name:
          $ref: '#/components/schemas/InputInvalidName'
        message:
          type: string
        data:
          $ref: '#/components/schemas/InputInvalidData'
      required:
        - name
        - message
        - data
      title: INPUT_INVALID
    CrossChain::getStatusRequestBadRequestError:
      oneOf:
        - $ref: '#/components/schemas/INPUT_INVALID'
      title: CrossChain::getStatusRequestBadRequestError
    BridgeUnknownName:
      type: string
      enum:
        - BRIDGE_UNKNOWN
      title: BridgeUnknownName
    BridgeUnknownData:
      type: object
      properties:
        zid:
          type: string
          description: The unique ZeroEx identifier of the request
        originChain:
          type: string
          description: The origin chain of the transaction
        originTxHash:
          type: string
          description: The hash of the transaction on the origin chain
      required:
        - zid
        - originChain
        - originTxHash
      title: BridgeUnknownData
    BRIDGE_UNKNOWN:
      type: object
      properties:
        name:
          $ref: '#/components/schemas/BridgeUnknownName'
        message:
          type: string
        data:
          $ref: '#/components/schemas/BridgeUnknownData'
      required:
        - name
        - message
        - data
      title: BRIDGE_UNKNOWN
    TransactionNotFoundName:
      type: string
      enum:
        - TRANSACTION_NOT_FOUND
      title: TransactionNotFoundName
    TransactionNotFoundData:
      type: object
      properties:
        zid:
          type: string
          description: The unique ZeroEx identifier of the request
        originChain:
          type: string
        originTxHash:
          type: string
          description: The hash of the transaction on the origin chain
      required:
        - zid
        - originChain
        - originTxHash
      title: TransactionNotFoundData
    TRANSACTION_NOT_FOUND:
      type: object
      properties:
        name:
          $ref: '#/components/schemas/TransactionNotFoundName'
        message:
          type: string
        data:
          $ref: '#/components/schemas/TransactionNotFoundData'
      required:
        - name
        - message
        - data
      title: TRANSACTION_NOT_FOUND
    CrossChain::getStatusRequestNotFoundError:
      oneOf:
        - $ref: '#/components/schemas/BRIDGE_UNKNOWN'
        - $ref: '#/components/schemas/TRANSACTION_NOT_FOUND'
      title: CrossChain::getStatusRequestNotFoundError
    BridgeProviderErrorName:
      type: string
      enum:
        - BRIDGE_PROVIDER_ERROR
      title: BridgeProviderErrorName
    BridgeProviderErrorData:
      type: object
      properties:
        zid:
          type: string
          description: The unique ZeroEx identifier of the request
        bridge:
          type: string
          description: The bridge provider
      required:
        - zid
        - bridge
      title: BridgeProviderErrorData
    BRIDGE_PROVIDER_ERROR:
      type: object
      properties:
        name:
          $ref: '#/components/schemas/BridgeProviderErrorName'
        message:
          type: string
        data:
          $ref: '#/components/schemas/BridgeProviderErrorData'
      required:
        - name
        - message
        - data
      title: BRIDGE_PROVIDER_ERROR
    InternalServerErrorName:
      type: string
      enum:
        - INTERNAL_SERVER_ERROR
      title: InternalServerErrorName
    InternalServerErrorData:
      type: object
      properties:
        zid:
          type: string
          description: The unique ZeroEx identifier of the request
      required:
        - zid
      title: InternalServerErrorData
    INTERNAL_SERVER_ERROR:
      type: object
      properties:
        name:
          $ref: '#/components/schemas/InternalServerErrorName'
        message:
          type: string
        data:
          $ref: '#/components/schemas/InternalServerErrorData'
      required:
        - name
        - message
        - data
      title: INTERNAL_SERVER_ERROR
    UncategorizedName:
      type: string
      enum:
        - UNCATEGORIZED
      title: UncategorizedName
    UncategorizedData:
      type: object
      properties:
        zid:
          type: string
          description: The unique ZeroEx identifier of the request
      required:
        - zid
      title: UncategorizedData
    UNCATEGORIZED:
      type: object
      properties:
        name:
          $ref: '#/components/schemas/UncategorizedName'
        message:
          type: string
        data:
          $ref: '#/components/schemas/UncategorizedData'
      required:
        - name
        - message
        - data
      title: UNCATEGORIZED
    CrossChain::getStatusRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/BRIDGE_PROVIDER_ERROR'
        - $ref: '#/components/schemas/INTERNAL_SERVER_ERROR'
        - $ref: '#/components/schemas/UNCATEGORIZED'
      title: CrossChain::getStatusRequestInternalServerError

```

## SDK Code Examples

```python Cross-Chain_crossChain::getStatus_example
import requests

url = "https://api.0x.org/cross-chain/status"

querystring = {"originChain":"8453","originTxHash":"0xe347e66b1d9793a11a962c1483f9eef03272c362c41dc1f21c87577ef5ec1a7c"}

headers = {"0x-api-key": "0x-api-key"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Cross-Chain_crossChain::getStatus_example
const url = 'https://api.0x.org/cross-chain/status?originChain=8453&originTxHash=0xe347e66b1d9793a11a962c1483f9eef03272c362c41dc1f21c87577ef5ec1a7c';
const options = {method: 'GET', headers: {'0x-api-key': '0x-api-key'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Cross-Chain_crossChain::getStatus_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.0x.org/cross-chain/status?originChain=8453&originTxHash=0xe347e66b1d9793a11a962c1483f9eef03272c362c41dc1f21c87577ef5ec1a7c"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("0x-api-key", "0x-api-key")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Cross-Chain_crossChain::getStatus_example
require 'uri'
require 'net/http'

url = URI("https://api.0x.org/cross-chain/status?originChain=8453&originTxHash=0xe347e66b1d9793a11a962c1483f9eef03272c362c41dc1f21c87577ef5ec1a7c")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["0x-api-key"] = '0x-api-key'

response = http.request(request)
puts response.read_body
```

```java Cross-Chain_crossChain::getStatus_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.0x.org/cross-chain/status?originChain=8453&originTxHash=0xe347e66b1d9793a11a962c1483f9eef03272c362c41dc1f21c87577ef5ec1a7c")
  .header("0x-api-key", "0x-api-key")
  .asString();
```

```php Cross-Chain_crossChain::getStatus_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.0x.org/cross-chain/status?originChain=8453&originTxHash=0xe347e66b1d9793a11a962c1483f9eef03272c362c41dc1f21c87577ef5ec1a7c', [
  'headers' => [
    '0x-api-key' => '0x-api-key',
  ],
]);

echo $response->getBody();
```

```csharp Cross-Chain_crossChain::getStatus_example
using RestSharp;

var client = new RestClient("https://api.0x.org/cross-chain/status?originChain=8453&originTxHash=0xe347e66b1d9793a11a962c1483f9eef03272c362c41dc1f21c87577ef5ec1a7c");
var request = new RestRequest(Method.GET);
request.AddHeader("0x-api-key", "0x-api-key");
IRestResponse response = client.Execute(request);
```

```swift Cross-Chain_crossChain::getStatus_example
import Foundation

let headers = ["0x-api-key": "0x-api-key"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.0x.org/cross-chain/status?originChain=8453&originTxHash=0xe347e66b1d9793a11a962c1483f9eef03272c362c41dc1f21c87577ef5ec1a7c")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```